# Quick Settings tile show

A decision block that shows an Quick Settings tile.

The fiber will pause until the tile is clicked and proceed through the YES path, or proceed through the NO path if no tile has been set up (see below), all tiles are busy or the tile was explicitly removed by the user.

Modifier flags (bitwise) for a clicked tile:

Value | Description
--- | ---
`0x000080` | long pressed (Android 8+)
`0x400000` | lock screen is showing (Android 7+)
`0x800000` | device is in a secure state (Android 7+)

Long-clicking a tile on a “secure” lock screen, e.g. PIN or password, may request it to be unlocked.

## Setup

Quick Settings tiles are supported on Android 6+ and CyanogenMod 12.1+. All flows can show a maximum of 9 tiles simultaneously.

### Android 7+

A tile must be added before it can be used. Expand the status bar and tap the EDIT or “pen” button, then drag to add one or more of the Automate tiles.

### Android 6

Not officially supported but may be enabled with the experimental System UI Tuner, if available. All tiles must be added before they can be used:

1. Open the System UI Tuner settings, or long-click the “cog” icon atop of the expanded status bar.
2. Open the Quick Settings screen
3. Click Add tile at the bottom
4. Choose Broadcast Tile
5. Write or paste `com.llamalab.automate.tile.Automate1` then click OK.
6. Repeat steps 3 through 5 for `com.llamalab.automate.tile.Automate2` though `com.llamalab.automate.tile.Automate6`

### CyanogenMod 12.1+

No setup required, tiles are added dynamically.

## Input arguments

- Label — tile caption.
- Icon URI — URI or filename of image to show as tile icon, always monochrome.
- Subtitle — tile subtitle, shown below the label if supported. (Android 10+)
- State — whether the tile should be drawn as “active” (bright), default is “inactive”.

## Output variables

- Flags — variable to assign the bitwise flags with modifiers of a clicked tile.